Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::reverse_copy_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O , requires = (Sentinel<S, I>() && ReverseCopyable<I, O>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end_, O out) const
template<typename Rng , typename O , typename I = iterator_t<Rng>, requires = (Range<Rng>() && ReverseCopyable<I, O>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, O out) const